Package com.microblink.blinkid.entities.recognizers.templating

# Class ProcessorGroup

java.lang.Object
com.microblink.blinkid.entities.recognizers.templating.ProcessorGroup

All Implemented Interfaces:
  `android.os.Parcelable`

public final class ProcessorGroup extends Object implements android.os.Parcelable
Class that represents a group of processors that will be executed on same dewarped image.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<ProcessorGroup>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessorGroup(Rectangle processingLocation, DewarpPolicy dewarpPolicy, Processor... processors)`
  Constructor for ProcessorGroup.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `consumeResultFrom(ProcessorGroup other)`
  `int`
  `describeContents()`
  `protected void`
  `finalize()`
  `Processor[]`
  `getProcessors()`
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    @NonNull public static final android.os.Parcelable.Creator<ProcessorGroup> CREATOR

- ## Constructor Details

  - ### ProcessorGroup

    public ProcessorGroup(@NonNull Rectangle processingLocation, @NonNull DewarpPolicy dewarpPolicy, @NonNull @Size(min=1L) Processor... processors)
    Constructor for ProcessorGroup.
    Parameters:
      `processingLocation` - Position in detected location that should be processed. Expressed as relative rectangle with respect to detected rectangle.
      `dewarpPolicy` - Dewarp policy that will mandate how the perspective correction will be performed.
      `processors` - Processors that will be executed on given processing location after perspective has been corrected.

- ## Method Details

  - ### consumeResultFrom

    public void consumeResultFrom(@NonNull ProcessorGroup other)

  - ### getProcessors

    @NonNull @Size(min=1L) public Processor[] getProcessors()

  - ### finalize

    protected void finalize() throws Throwable
    Overrides:
      `finalize` in class `Object`
    Throws:
      `Throwable`

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`